Перейти к содержимому

POST /sandboxes/{sandboxID}/snapshots

Create snapshot

Create a persistent snapshot from the sandbox's current state. Snapshots can be used to create new sandboxes and persist beyond the original sandbox's lifetime.

Параметры

  • sandboxID · string · путь · обязательно

Тело запроса

Обязательно: да

application/json

Схема: SandboxSnapshotRequest

  • name · string · необязательно

    Optional name for the snapshot template. If a snapshot template with this name already exists, a new build will be assigned to the existing template instead of creating a new one.

Ответы

201

Snapshot created successfully

Content-Type: application/json

Схема: SnapshotInfo

  • snapshotID · string · обязательно

    Identifier of the snapshot template including the tag. Uses namespace/alias when a name was provided (e.g. team-slug/my-snapshot:default), otherwise falls back to the raw template ID (e.g. abc123:default).

  • names · array<string> · обязательно

    Full names of the snapshot template including team namespace and tag (e.g. team-slug/my-snapshot:v2)

400

Bad request

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

401

Authentication error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

404

Not found

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

500

Server error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error